
.slide_anim{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    background-color: #161616;
}
.road {
    position: relative;
    width: 100%;
    height: 400px;
}
.road:before {
    content: "";
    height: 1px;
    background-color:  #858585;
    position: absolute;
    bottom: 0px;
    width: 0%;
    left: 50%;
    animation: show_road 10s ease-out;
}
@keyframes show_road {
    0%{
        width: 0px;
        left: 50%;
    }
    15%, 90%{
        width: 100%;
        left: 0px;
    }
    100%{
        width: 0px;
        left: 50%;
    }
}
.txtanim{
    font-size: 60px;
    font-weight: 800;
    color: #fff;
    position: absolute;
    line-height: 50px;
    top: calc(100% + 10px);
    left: 50%;
    transform: translate(-50%);
    text-align: center;
}
.txtone{
    opacity: 0;
    animation: anim-txt 7s ease-out 0.5s;
}
.txtonet{
    opacity: 0;
    animation: anim-txt 7s ease-out 3.2s;
}
.txttwo{
    opacity: 0;
    animation: anim-txt 8s ease-out 5.9s ;
}
.txtanim::before{
    content: attr(data-text);
    position: absolute;
    top: -17px;
    left: 0;
    transform-origin: bottom;
    transform: rotatex(180deg);
    line-height: 0.865em;
    background: linear-gradient(0deg, #8DC9CC 0, transparent 80%);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    opacity: 0.3;
    z-index: -1;
}
@keyframes anim-txt {
    0%, 5%{
        opacity: 0;
        top: 100%;
    }
    10%, 33%{
        opacity: 1;
        top: calc(100% + 10px);
    }
    38%, 100%{
        opacity: 0;
        top: 100%;
    }
}
.car {
    position: absolute;
    width: fit-content;
    height: fit-content;
}

.car-left {
    left: -880px;
    bottom: -70px;
    animation: move-car-one 10s ease-in-out;
    z-index: 2;
    transform: translateX(-50%)scaleX(-1)scale(0.6);
}
.car-left svg{
    width: 1000px;
    height: 320px;
}
.car-right {
    right: -1550px;
    bottom: -78px;
    animation: move-car-two 10s ease-in-out 3s;
    z-index: 1;
    transform: translateX(-50%)scale(0.78);
}
.car-right svg{
    width: 1000px;
    height: 660px;
}
#svg_13{
    filter: grayscale(100%) brightness(0%);
}
@keyframes move-car-one {
    0% {
        left: -850px;
    }
    30%, 75%{
        left: calc(50% + 280px);
    }
    100% {
        left: calc(100% + 800px);
    }
}

@keyframes move-car-two {
    0% {
        right: -1550px;
    }
    25%, 50%{
        right: calc(50% - 850px);
    }
    70% {
        right: 100%;
    }
    100% {
        right: 100%;
    }
}

#svg_8_lig_lft{
    filter: drop-shadow(0px 0px 15px #ff0000ea);
}
#svg_front_lig_lft{
    filter: drop-shadow(0px 0px 13px rgba(0, 225, 255, 0.918));
}
#lig-two-top{
    filter: drop-shadow(0px 0px 13px #ffa600);
    animation: lig-two-top 800ms ease-in-out infinite;
}
@keyframes lig-two-top {
    0%, 50%{
        fill: #ff7300;
    }
    51%, 100%{
        fill: #ff0000;
    }
}
#lig-two-front{
    filter: drop-shadow(0px 0px 13px rgba(0, 225, 255, 0.918));
}
#lig-two-back{
    filter: drop-shadow(0px 0px 13px rgba(255, 0, 0, 0.918));
    animation: lig-two-back 10s ease-in-out 3s infinite;
}
@keyframes scale {
    from{
        transform: scale(1);
        transform-origin: center;
    }
    to{
        transform: scale(1.1);
        transform-origin: center;
    }
}


.btr .cont {
    position: absolute;
    bottom: 220px;
    right: 780px;
    width: 140px;
    margin: auto;
    transform: scale(0);
    transition: all 400ms ease-out;
}
.btr .cont.act{
    transform: scale(1);
}

.hdr {
    position: absolute;
    width: 26px;
    height: 10px;
    left: 50%;
    top: 0;
    transform: translate(-50%, -10px);
    border-radius: 5px 5px 0 0;
    background: #4A6061;
}

.battery-copy {
    position: absolute;
    top: 0;
    left: 0;
    height: 220px;
    width: 140px;
    border-radius: 15px 15px 5px 5px;
    overflow: hidden;
}

.battery {
    position: relative;
    height: 220px;
    box-sizing: border-box;
    border-radius: 15px 15px 5px 5px;
    background: #4A6061;
    z-index: 1;
    
    &::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        top: 120%;
        border-radius: 15px 15px 5px 5px;
        box-shadow: 0 5px 28px #7abcff;
        animation: charging 2400ms linear 5s;
        filter: hue-rotate(90deg);
        
    }
}
.g-wave {
    position: absolute;
    width: 320px;
    height: 320px;
    background: rgba(255, 255, 255, .8);
    border-radius: 45% 47% 44% 42%;
    top: 230px;
    left: 50%;
    filter: hue-rotate(90deg);
    background: linear-gradient(to bottom, #7abcff 0%, #00BCD4 44%, #2196F3 100%);
    transform: translate(-50%, 0);
    z-index: 1;
    animation: move 2400ms linear 5s;
    
}

.g-wave:nth-child(2) {
    border-radius: 38% 46% 43% 47%;
    transform: translate(-50%, 0) rotate(-135deg);
}

.g-wave:nth-child(3) {
    border-radius: 42% 46% 37% 40%;
    transform: translate(-50%, 0) rotate(135deg);
}
.battery-copy.act{
    &::after {
        filter: hue-rotate(0deg);
        top: 0%;
    }
}
.battery-copy.act .g-wave{
    filter: hue-rotate(0deg);
    transform: translate(-50%, -260px) rotate(720deg);
}
@keyframes charging {
    100% {
        filter: hue-rotate(0deg);
        top: 0%;
    }
}

@keyframes move {
    100% {
        filter: hue-rotate(0deg);
        transform: translate(-50%, -260px) rotate(720deg);
    }
}

@media (max-width: 950px) {
    .road {
        height: 2px;
        width: 100%;
    }
    .road:before {
        animation: show_road_mo 10s ease-out;
    }
    @keyframes show_road_mo {
        0%, 10%{
            width: 0px;
            left: 50%;
        }
        23%, 90%{
            width: 100%;
            left: 0px;
        }
        100%{
            width: 0px;
            left: 50%;
        }
    }
    .txtanim{
        width: 100%;
        padding: 0px 8px;
        top: calc(100%);
        font-size: 30px;
    }
    .txtanim::before{
        width: 100%;
        top: 1px;
        left: 0px;
    }
    .car-left {
        left: -300px;
        bottom: -129px;
        transform: translateX(-50%)scaleX(-1)scale(0.22);
        animation: move-car-one-mo 10s ease-in-out;
    }
    .car-right {
        right: -1370px;
        bottom: -240px;
        transform: translateX(-50%)scale(0.28);
        animation: move-car-two-mo 10s ease-in-out 3s;
    }
    @keyframes move-car-one-mo {
        0% {
            left: -300px;
        }
        30%, 75%{
            left: calc(50% + 70px);
        }
        100% {
            left: calc(100% + 800px);
        }
    }
    @keyframes move-car-two-mo {
        0% {
            right: -1370px;
        }
        25%, 50%{
            right: calc(50% - 960px);
        }
        70% {
            right: 100%;
        }
        100% {
            right: 100%;
        }
    }
}
@media screen and (min-width: 951px) and (max-width: 1300px) {
    .road {
        height: 100px;
        width: 100%;
    }
    .road:before {
        animation: show_road_med 10s ease-out;
    }
    @keyframes show_road_med {
        0%, 10%{
            width: 0px;
            left: 50%;
        }
        23%, 90%{
            width: 100%;
            left: 0px;
        }
        100%{
            width: 0px;
            left: 50%;
        }
    }
    .txtanim{
        top: calc(100%);
        font-size: 42px;
    }
    .txtanim::before{
        top: -5px;
        left: 0px;
    }
    .car-left {
        left: -690px;
        bottom: -114px;
        transform: translateX(-50%)scaleX(-1)scale(0.32);
        animation: move-car-one-res 10s ease-in-out;
    }
    .car-right {
        right: -1270px;
        bottom: -196px;
        transform: translateX(-50%)scale(0.42);
        animation: move-car-two-res 10s ease-in-out 3s;
    }
    @keyframes move-car-one-res {
        0% {
            left: -690px;
        }
        30%, 75%{
            left: calc(50% + 130px);
        }
        100% {
            left: calc(100% + 1000px);
        }
    }
    @keyframes move-car-two-res {
        0% {
            right: -1270px;
        }
        25%, 50%{
            right: calc(50% - 900px);
        }
        70% {
            right: 100%;
        }
        100% {
            right: 100%;
        }
    }
}


#slide_anim{
    display: flex;
}
#slide_anim.desact{
    display: none;
}
#al_cont{
    display: none;
}
#al_cont.act{
    display: block;
}
